﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using System.Configuration;
using System.IO;
using System.Xml;

namespace AndroidSoapService
{
    public class Service1 : IService1
    {
        
        public int TestMethod()
        {
            return 1;
        }

        public string GetXml(string xmlFileName)
        {
            string path = string.Format("{0}//{1}", ConfigurationManager.AppSettings["path"], xmlFileName);
            if (File.Exists(path))
            {
                List<string> names = new List<string>();
                XmlDocument doc = new XmlDocument();
                try
                {
                    doc.Load(path);
                }
                catch (XmlException)
                { throw; }

                StringWriter sw = new StringWriter();
                XmlTextWriter xw = new XmlTextWriter(sw);
                doc.WriteContentTo(xw);
                string test = sw.ToString();
                return sw.ToString();
            }
            else return "File not found";
        }


        public bool SaveData(string xmlSource, string xmlFileName)
        {
            string path = string.Format("{0}{1}", ConfigurationManager.AppSettings["path"], xmlFileName);
            using (StreamWriter outFile = new StreamWriter(path))
            {
                try
                {
                    outFile.Write(xmlSource);
                }
                catch (IOException)
                {

                    return false;
                }
                catch (NotSupportedException)
                {
                    return false;
                }
                catch (ObjectDisposedException)
                {
                    return false;
                }
                finally
                {
                    outFile.Close();

                }

            }
            return true;
        }

       
    }

    /*public class RestService : IRestInterface
    {
        public int TestMethod()
        {
            return 1;
        }

        public string GetXml(string xmlFileName)
        {
            string path = string.Format("{0}//{1}", ConfigurationManager.AppSettings["path"], xmlFileName);
            if (File.Exists(path))
            {
                List<string> names = new List<string>();
                XmlDocument doc = new XmlDocument();
                try
                {
                    doc.Load(path);
                }
                catch (XmlException)
                { throw; }

                StringWriter sw = new StringWriter();
                XmlTextWriter xw = new XmlTextWriter(sw);
                doc.WriteContentTo(xw);
                string test = sw.ToString();
                return sw.ToString();
            }
            else return "File not found";
        }


        public bool SaveData(string xmlSource, string xmlFileName)
        {
            string path = string.Format("{0}{1}", ConfigurationManager.AppSettings["path"], xmlFileName);
            using (StreamWriter outFile = new StreamWriter(path))
            {
                try
                {
                    outFile.Write(xmlSource);
                }
                catch (IOException)
                {

                    return false;
                }
                catch (NotSupportedException)
                {
                    return false;
                }
                catch (ObjectDisposedException)
                {
                    return false;
                }
                finally
                {
                    outFile.Close();

                }

            }
            return true;
        } 

    }*/
}

