//
//  untitled.m
//  Downloader
//
//  Created by Martin Dvoracek on 4/7/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "BaseRestClient.h"


@implementation BaseRestClient

-(id)init {
	
	self = [super init];
	return self;
}

-(void)clearContentsOfElement {
	[_contentsOfElement release];
	_contentsOfElement = [[NSMutableString alloc]init];
}

-(void)parseDocument:(NSData *)data {
	NSXMLParser *parser =[[NSXMLParser alloc]initWithData:data];
	[parser setDelegate:self];
	[parser setShouldProcessNamespaces:YES];
	[parser setShouldReportNamespacePrefixes:YES];
	[parser setShouldResolveExternalEntities:NO];
	[parser parse];
	[parser release];
}

-(void)parser:(NSXMLParser *)parser foundCharacters:(NSString *)string {
	[_contentsOfElement appendString:string];
	
}

-(NSString *)trim:(NSString *)inStr {
	return [inStr stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceCharacterSet]];
}

-(void)dealloc {
	[_contentsOfElement release];
	[super dealloc];
	
}
@end
