

#import "restClass.h"
#import "GetTelephoneListRestClient.h"
#import "TelephoneItem.h"
#import "TelephoneItemTableViewControler.h"

@implementation restClass
@synthesize telephoneList;
-(IBAction)restDownload {
	
}
- (void)viewDidLoad {
    [super viewDidLoad];
	
	// set the title
	self.navigationItem.title= @"Telephone";
	// add a refresh button to the right side of the navigation bar
	self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] 
											  initWithBarButtonSystemItem:UIBarButtonSystemItemRefresh 
											  target:self 
											  action:@selector(fetchData)];
	
	[self fetchData];
}

- (void) updateTable:(NSArray *)data{
	self.telephoneList = data;
	
	[self.tableView reloadData];	
}
- (void) fetchData{
	GetTelephoneListRestClient *client = [[GetTelephoneListRestClient alloc] init];
	[client getTelephoneList:self];
	[client release];
	
}



- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
