﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace AndroidSoapService
{
    [ServiceContract]
    public interface IService1
    {

        [OperationContract]
        [WebGet(UriTemplate = "TestMethod", ResponseFormat = WebMessageFormat.Json, BodyStyle = WebMessageBodyStyle.Wrapped)]
        int TestMethod();

        [OperationContract]
        [WebGet(RequestFormat = WebMessageFormat.Json, UriTemplate = "GetXml/{xmlFileName}", BodyStyle = WebMessageBodyStyle.Wrapped)]
        string GetXml(string xmlFileName);

        [OperationContract]
        [WebInvoke(UriTemplate="SaveData/{xmlSource}/{xmlFileName}",Method="POST",ResponseFormat=WebMessageFormat.Json,BodyStyle=WebMessageBodyStyle.Wrapped)]
        bool SaveData(string xmlSource,string xmlFileName);

       
    }

}
