package cz.utb.downloader;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class DeviceDetail extends Activity {
	XmlStructure device;
	ArrayList<MyAttribute> attributes;
	TextView tvName,tvDescription,tvPlatform;
	ListView lvAttributes;
	int devicePosition;
	Cursor myCur;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.device_detail);
		
		//variables
		lvAttributes = (ListView)findViewById(R.id.listView1);
		tvName = (TextView)findViewById(R.id.textView1);
		tvDescription = (TextView)findViewById(R.id.textView4);
		tvPlatform = (TextView)findViewById(R.id.textView6);
		Intent intent = getIntent();
		devicePosition = intent.getIntExtra("devicePosition", 0);
		device = ((MyApp)getApplication()).getDevices().get(devicePosition);
		attributes = new  ArrayList<MyAttribute>(device.getAttributes());
		tvName.setText(device.getDeviceName());
		tvDescription.setText(device.getDescription());
		tvPlatform.setText(device.getPlatform());
		setTitle("Device detail - "+tvName.getText());
		ArrayList<String> attributeNames = new ArrayList<String>();
		for (MyAttribute attribute : attributes) {
			attributeNames.add(attribute.getName());
		}
		lvAttributes.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1,attributeNames));		
	}

}
