package cz.utb.downloader;

import java.util.ArrayList;

public class XmlStructure {
	private String DeviceName;
	private String Description;
	private String Platform;
	private ArrayList<MyAttribute> Attributes;
	
	public XmlStructure() {
		this.DeviceName = null;
		this.Description = null;
		this.Platform = null;
		this.Attributes = null;
	}
	
	public XmlStructure(String Name,String Description,String Platform,ArrayList<MyAttribute> attr) {
		this.DeviceName = Name;
		this.Description = Description;
		this.Platform = Platform;
		this.Attributes = attr;
	}
	
	public String getDeviceName() {
		return DeviceName;
	}
	public String getDescription() {
		return Description;
	}
	public String getPlatform() {
		return Platform;
	}
	
	public void setDeviceName(String device) {
		this.DeviceName = device;
	}
	public void setDescription(String description) {
		this.Description = description;
	}
	public void setPlatform(String platform) {
		this.Platform = platform;
	}
	public void setAttributes(ArrayList<MyAttribute> attributes) {
		Attributes = attributes;
	}
	public ArrayList<MyAttribute> getAttributes() {
		return Attributes;
	}
}
